package ReplicProt;

import java.io.Serializable;

public interface IService {

  public interface IOperation extends Serializable {
    // insert methods provided by Operation for all services, if any
  }

  public interface IResponse extends Serializable {
    // insert methods provided by Response for all services, if any
  }

  public int getVersion();

  public void doOp(IOperation op);

  public IResponse response(IOperation op);

  public boolean reflects(IOperation op);
}
